## pdns 3.1

=== debian/changelog ===
pdns (3.1-4build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 11:03:11 +0100

pdns (3.1-4) unstable; urgency=low

  * put /etc/default/pdns back under ucf control.
    Thanks to Andreas Beckmann (Closes: 678930)
  * remove bindbackend.conf in postrm from correct path.
    Thanks to Andreas Beckmann (Closes: 678929)
  * make defaults file readable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 24 Jun 2012 20:40:27 +0200

pdns (3.1-3) unstable; urgency=low

  * Upload with correct .orig.tar.gz

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 23 Jun 2012 23:33:50 +0200

pdns (3.1-2) unstable; urgency=low

  * move development to Alioth (Maint address, Vcs-Foo)
  * remove bind-example-zones.
    Thanks to Andreas Olsson (Closes: 676823)
  * init script:
    * adapt logic changes from upstream
    * LSBize init script from debian's skeleton
    * use automatic init script installation
  * add upstream changesets (recommended by upstream):
    2608, 2609+2612, 2611, 2622
  * add DEP-3 headers to patches
  * disable mongodb patch, we're not building mongodb anyway
  * remove autostart debconf question, templates and code
  * relax privileges on pdns.d directory
  * add a simple bind backend config so that we can run immediately
  * remove hurd-ftbfs-patch, it was already applied upstream (r2307)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 14 May 2012 21:14:38 +0200

pdns (3.1-1) unstable; urgency=low

  [ Marc Haber ]
  * Imported Upstream version 3.1
    * reduce column size for 'algorithm' to 50. Closes: #662935
    * handle smallcaps RRs. Closes: #656788
  * refresh patches
  * remove unused patches
  * add patch to turn off the traceback handler at run time
  * add patch for changeset 2575 (race condition with supermasters)
  * fix mysql multiarch build failure, set cflags etc to hardening defaults
  * do not run bootstrap a build time, using autotools_dev
  * use dh-autoreconf, remove autofoo created files from
    patches/fix-mongodb-backend-patch
  * fix dh invocation
  * create MySQL databases with engine=innodb instead of type
  * set debian/compat to 9
  * Standards-Version: 3.9.3 (no changes needed)
  * add myself to uploaders, change Vcs-Header to my git. Closes: #672550

  [ Evgeni Golov ]
  * use system libpolarssl if present, local copy otherwise.
    Closes: #671856, #656861

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 11 May 2012 23:51:27 +0200

pdns (3.0-1.2) unstable; urgency=high

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667321.
  * Fix build failure with mysql multiarch location. Closes: #650058.
  * Build with hardening defaults. Closes: #656861.

 -- Matthias Klose <doko@debian.org>  Wed, 09 May 2012 23:14:47 +0000

pdns (3.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't respond to responses fixes CVE-2012-0206
  * Make build dependency on mongodb-dev arch specific (Closes: #654568).

 -- Luk Claes <luk@debian.org>  Sun, 15 Jan 2012 19:13:17 +0100

=== debian/control ===
Source: pdns
Section: net
Priority: extra
Standards-Version: 3.9.3
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper (>= 9~), dh-autoreconf, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, autotools-dev, automake, autoconf, liblua5.1-0-dev, pkg-config, libcrypto++-dev, mongodb-dev [i386 amd64], ragel, libpolarssl-dev
Vcs-Git: git://git.debian.org/pkg-pdns/pdns.git
Vcs-Browser: http://git.debian.org/?p=pkg-pdns/pdns.git
Homepage: http://www.powerdns.com/

Package: pdns-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), adduser
Replaces: pdns
Suggests: pdns-backend, pdns-recursor
Description: extremely powerful and versatile nameserver
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the authoritative nameserver that answers questions about
 domains that it knows about. It also includes the bind backend that
 allows PowerDNS to retrieve domain info from zone files as used by
 the "bind" software.

Package: pdns-server-dbg
Section: debug
Architecture: any
Priority: extra
Depends: pdns-server (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains debugging symbols for PowerDNS to assist in
 debugging, such as gdb. It is not required for normal operation.

Package: pdns-backend-pipe
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: pipe/coprocess backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the pipe backend for the PowerDNS nameserver. This
 allows PowerDNS to retrieve domain info from a process that accepts
 questions on stdin and returns answers on stdout. 

Package: pdns-backend-ldap
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: LDAP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains an LDAP backend for the PowerDNS nameserver.

Package: pdns-backend-geo
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: geo backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a geobackend for the PowerDNS nameserver. This backend
 balances the load throughout the world so that people access the
 geographically nearest available server.

Package: pdns-backend-mysql
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
Recommends: mysql-client
Suggests: mysql-server
Provides: pdns-backend
Description: generic MySQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic MySQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-pgsql
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
Recommends: postgresql-client
Suggests: postgresql
Provides: pdns-backend
Description: generic PostgreSQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic PostgreSQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-sqlite
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite, dbconfig-common
Provides: pdns-backend
Description: sqlite backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic SQLite backend for PowerDNS.

Package: pdns-backend-sqlite3
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3, dbconfig-common
Provides: pdns-backend
Description: sqlite backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic SQLite backend for PowerDNS.

Package: pdns-backend-lua
Architecture: any
Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: pdns-backend
Description: lua backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a lua backend for PowerDNS.

#Package: pdns-backend-mongodb
#Architecture: any
#Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
#Provides: pdns-backend
#Description: mongodb backend for PowerDNS
# PowerDNS is a versatile nameserver which supports a large number
# of different backends ranging from simple zonefiles to relational
# databases and load balancing/failover algorithms.
# PowerDNS tries to emphasize speed and security.
# .
# This package contains a mongodb backend for PowerDNS.

## pdns 3.3

=== codedocs/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# codedocs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/pdns
pkgincludedir = $(includedir)/pdns
pkglibdir = $(libdir)/pdns
pkglibexecdir = $(libexecdir)/pdns
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = codedocs
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/boost.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run aclocal-1.11
AMTAR = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run tar
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run autoconf
AUTOHEADER = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run autoheader
AUTOMAKE = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run automake-1.11
AWK = mawk
BOOST_CPPFLAGS = 
BOOST_LDPATH = 
BOOST_PROGRAM_OPTIONS_LDFLAGS = 
BOOST_PROGRAM_OPTIONS_LDPATH = 
BOOST_PROGRAM_OPTIONS_LIBS = -lboost_program_options-mt
BOOST_ROOT = 
BOOST_SERIALIZATION_LDFLAGS = 
BOOST_SERIALIZATION_LDPATH = 
BOOST_SERIALIZATION_LIBS = -lboost_serialization-mt
BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS = 
BOOST_UNIT_TEST_FRAMEWORK_LDPATH = 
BOOST_UNIT_TEST_FRAMEWORK_LIBS = -lboost_unit_test_framework-mt
BOTAN110_CFLAGS = 
BOTAN110_LIBS = 
BOTAN18_CFLAGS = 
BOTAN18_LIBS = 
CC = ccache gcc
CCDEPMODE = depmode=gcc3
CDB_CFLAGS =  
CDB_LIBS = -lcdb  
CFLAGS = -g -O2
CPP = ccache gcc -E
CPPFLAGS = 
CXX = ccache g++
CXXCPP = ccache g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -D_GNU_SOURCE -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DIST_HOST = jenkins@autotest.powerdns.com
DSYMUTIL = 
DUMPBIN = 
DYNLINKFLAGS = -rdynamic
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -lrt
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBCRYPT = -lcrypt 
LIBCURL_CFLAGS =  
LIBCURL_LIBS = -lcurl  
LIBDL = -ldl 
LIBLDAP = ldap_r
LIBOBJS = 
LIBOPENDBX = opendbx
LIBS =  -lz -lcrypt 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LUA_CFLAGS = -I/usr/include/lua5.1  
LUA_LIBS = -llua5.1  
MAKEINFO = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MYSQL_inc = -I/usr/include/mysql
MYSQL_lib = -rdynamic -L/usr/lib/mysql -lmysqlclient
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
ORACLE_CFLAGS = 
ORACLE_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = pdns
PACKAGE_BUGREPORT = 
PACKAGE_NAME = pdns
PACKAGE_STRING = pdns 3.3
PACKAGE_TARNAME = pdns
PACKAGE_URL = 
PACKAGE_VERSION = 3.3
PATH_SEPARATOR = :
PGSQL_incdir = /usr/include/postgresql
PGSQL_lib = 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
REMOTEBACKEND_HTTP = yes
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SQLITE3_CFLAGS =  
SQLITE3_LIBS = -lsqlite3  
STRIP = strip
THREADFLAGS = -pthread
UNIXODBC_incdir = 
UNIXODBC_lib = 
VERSION = 3.3
YACC = bison -y
YFLAGS = 
abs_builddir = /var/lib/jenkins/jobs/auth-git/workspace/codedocs
abs_srcdir = /var/lib/jenkins/jobs/auth-git/workspace/codedocs
abs_top_builddir = /var/lib/jenkins/jobs/auth-git/workspace
abs_top_srcdir = /var/lib/jenkins/jobs/auth-git/workspace
ac_ct_CC = ccache gcc
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
moduledirs =  geobackend gmysqlbackend gpgsqlbackend gsqlite3backend ldapbackend luabackend mydnsbackend opendbxbackend pipebackend remotebackend tinydnsbackend randombackend pipebackend
modulelibs =   -lmysqlclient -lpq -lssl -lcrypto  -lresolv -lnsl -lsqlite3 -lldap_r -llber -llua5.1 -lmysqlclient -lz -lopendbx   -lcdb 
moduleobjects =  ../modules/geobackend/geobackend.o ../modules/geobackend/ippreftree.o ../modules/gmysqlbackend/gmysqlbackend.o ../modules/gmysqlbackend/smysql.o ../modules/gpgsqlbackend/gpgsqlbackend.o ../modules/gpgsqlbackend/spgsql.o ../modules/gsqlite3backend/gsqlite3backend.o ../modules/ldapbackend/ldapbackend.o ../modules/ldapbackend/powerldap.o ../modules/luabackend/luabackend.o ../modules/luabackend/minimal.o ../modules/luabackend/reload.o ../modules/luabackend/lua_functions.o ../modules/luabackend/master.o ../modules/luabackend/private.o ../modules/luabackend/slave.o ../modules/luabackend/supermaster.o ../modules/luabackend/dnssec.o ../modules/mydnsbackend/mydnsbackend.o ../modules/opendbxbackend/odbxbackend.o ../modules/opendbxbackend/odbxprivate.o ../modules/pipebackend/coprocess.o ../modules/pipebackend/pipebackend.o ../modules/remotebackend/remotebackend.o ../modules/remotebackend/unixconnector.o ../modules/remotebackend/httpconnector.o ../modules/remotebackend/pipeconnector.o ../modules/tinydnsbackend/tinydnsbackend.o ../modules/tinydnsbackend/cdb.o ../modules/randombackend/randombackend.o
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
programdescend = pdns
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
socketdir = /var/run
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign codedocs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign codedocs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile

=== pdns/ext/polarssl-1.1.2/Makefile ===

DESTDIR=/usr/local
PREFIX=polarssl_

.SILENT:

all:
	cd library  && $(MAKE) all && cd ..

install:

uninstall:

distclean: clean

clean:
	cd library  && $(MAKE) clean && cd ..

check:

distdir:
	mkdir -p $(distdir)
	cp ChangeLog LICENSE  Makefile  README  $(distdir)
	mkdir $(distdir)/library
	mkdir -p $(distdir)/include/polarssl
	cp library/Makefile library/*.c $(distdir)/library
	cp include/polarssl/*.h $(distdir)/include/polarssl

=== pdns/ext/polarssl-1.1.2/library/Makefile ===

# Also see "include/polarssl/config.h"

CFLAGS	+= -I../include -D_FILE_OFFSET_BITS=64 -Wall -W -Wdeclaration-after-statement
OFLAGS	= -O

# MicroBlaze specific options:
# CFLAGS += -mno-xl-soft-mul -mxl-barrel-shift

# To compile on Plan9:
# CFLAGS += -D_BSD_EXTENSION

# To compile as a shared library:
CFLAGS += -fPIC

SONAME=libpolarssl.so.0

DLEXT=so
# OSX shared library extension:
# DLEXT=dylib

# Windows shared library extension:
# DLEXT=dll

OBJS=	aes.o		arc4.o		asn1parse.o		\
		base64.o	bignum.o	camellia.o		\
		certs.o		cipher.o	cipher_wrap.o	\
		ctr_drbg.o	debug.o		des.o			\
		dhm.o		entropy.o	entropy_poll.o	\
		error.o		havege.o					\
		md.o		md_wrap.o	md2.o			\
		md4.o		md5.o		net.o			\
		padlock.o	pem.o		pkcs11.o		\
		rsa.o		sha1.o		sha2.o			\
		sha4.o		ssl_cli.o	ssl_srv.o		\
		ssl_tls.o	timing.o	version.o		\
		x509parse.o	xtea.o
	
all: static

static: libpolarssl.a

shared: libpolarssl.$(DLEXT)

libpolarssl.a: $(OBJS)
	$(AR) r $@ $(OBJS)
	$(AR) s $@

libpolarssl.so: libpolarssl.a
	$(CC) ${LDFLAGS} -shared -Wl,-soname,$(SONAME) -o $@ $(OBJS)

libpolarssl.dylib: libpolarssl.a
	$(CC) ${LDFLAGS} -dynamiclib -o $@ $(OBJS)

libpolarssl.dll: libpolarssl.a 
	$(CC) -shared -Wl,-soname,$@ -o $@ $(OBJS) -lws2_32 -lwinmm -lgdi32 

.c.o:
	$(CC) $(CFLAGS) $(OFLAGS) -c $<

clean:
	rm -f *.o libpolarssl.*

=== debian/changelog ===
pdns (3.3-2) unstable; urgency=medium

  * Fix 3.3-1 SQL upgrade script for PostgreSQL.
    Thanks to Peter van Dijk for the patch. (Closes: #726945)
  * Fix FTBFS on s390x.
    Thanks to Peter van Dijk for the upstream patches. (Closes: #726863)
  * Add myself to Uploaders
  * Bump Standards-Version to 3.9.5 (no changes)
  * Run make with V=1.
    Needed to get compiler flags into the build log.
  * Revert "disable dnssec in default configuration to not break updates"
    Reverting to not break upgrades from wheezy.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 26 Jan 2014 23:41:14 +0100

pdns (3.3-1) unstable; urgency=low

  * The "Habbie saves the World" release

  [ Matthijs Möhlmann ]

  * Standards-Version: 3.9.4 (no changes needed)
  * Move files used by dbconfig-common to /usr/share/PACKAGE (Closes: #710360)
  * Upstream fixes self notification (Closes: #374779)
  * Added Brazilian Portuguese translation, thanks to Adriano Rafael Gomes
    (Closes: #718713)
  * All other nameservers are optional in insserv, so make that happen for
    pdns too. (Closes: #714145)
  * Update the default schema for the PostgreSQL backend (Closes: #698911)
  * Reworked README fixes also #717356 (Closes: #717356)
  * Add a SQL script for updating the database scheme in PostgreSQL, this will
    be applied automatically by dbconfig-common if chosen to do so
    (Closes: #685808, #707761)

  [ Marc Haber ]
  * be more robust with chmod in pdns-server.postinst.
    Thanks to Peter van Dijk (Closes: #716859)
  * fix exit code of init script to be more LSB compliant. (Closes: #708861)
  * remove unnecessary MySQL dependency (Upstream #1032). Adapt patches.
    (Closes: #725073)
  * remove double code from postinst.
    Thanks to Peter van Dijk (Closes: #725195)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sat, 13 Jul 2013 14:30:30 +0000

pdns (3.3-1~exp1) experimental; urgency=low

  * New Upstream Release
    * Fix for Upstream #555 (patch 2720) to build with botan. This
      might address #675410, thanks to Florian Obser and Marcus
      'darix' Rueckert.
    * fix ECDSA (upstream patch 3036). (Closes: #697904)
    * sqlite backend removed upstream. Suggest migration to sqlite3
    * remove --disable-recursor, it's a no-op anyway
    * build with --enable-tools and --enable-unit-tests
    * remove local manpages that have been incorporated upstream
    * remove lazy-recursion from default config
    * refresh patches, remove obsolete patches
  * disable dnssec in default configuration to not break updates
  * upstream now has include-dir
    * Use it instead of include
    * remove our patch for include
    * rename config files to .conf
  * remove --with autotools-dev (see dh-autoreconf(7))
  * zap dnslabeltext.cc in clean (see Upstream #554)
  * ship dnsreplay, dnswasher and dnsscope
  * add PDNSDEBUG environment variable to all postinst scripts
  * properly handle pdns.simplebind.conf on installation and purge
  * re-work conffile handling in postinst and postrm scripts
  * document changes in configuration syntax/semantics for updaters
  * depend on lsb-base (>= 3.2-14)
  * do not call in /lib/init/vars.sh any more (lintian)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 12 Jul 2013 20:11:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: pdns
 Section: net
 Priority: extra
-Standards-Version: 3.9.3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
-Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper (>= 9~), dh-autoreconf, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite0-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, autotools-dev, automake, autoconf, liblua5.1-0-dev, pkg-config, libcrypto++-dev, mongodb-dev [i386 amd64], ragel, libpolarssl-dev
+Standards-Version: 3.9.5
+Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
+Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>, Christian Hofstaedtler <zeha@debian.org>
+Build-Depends: debhelper (>= 9~), dh-autoreconf, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, libboost-test-dev, autotools-dev, automake, autoconf, liblua5.1-0-dev, pkg-config, libcrypto++-dev, ragel, libpolarssl-dev, libgmp-dev, libbotan1.10-dev
 Vcs-Git: git://git.debian.org/pkg-pdns/pdns.git
 Vcs-Browser: http://git.debian.org/?p=pkg-pdns/pdns.git
 Homepage: http://www.powerdns.com/
 
 Package: pdns-server
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), adduser, lsb-base (>= 3.2-14)
 Replaces: pdns
 Suggests: pdns-backend, pdns-recursor
 Description: extremely powerful and versatile nameserver
@@ -82,7 +81,7 @@
 
 Package: pdns-backend-mysql
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
+Depends: pdns-server (>= ${source:Version}), ucf (>= 0.28), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
 Recommends: mysql-client
 Suggests: mysql-server
 Provides: pdns-backend
@@ -97,7 +96,7 @@
 
 Package: pdns-backend-pgsql
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
+Depends: pdns-server (>= ${source:Version}), ucf (>= 0.28), ${shlibs:Depends}, ${misc:Depends}, dbconfig-common
 Recommends: postgresql-client
 Suggests: postgresql
 Provides: pdns-backend
@@ -110,29 +109,17 @@
  This package contains a generic PostgreSQL backend for the PowerDNS
  nameserver. It has configurable SQL statements.
 
-Package: pdns-backend-sqlite
+Package: pdns-backend-sqlite3
 Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite, dbconfig-common
+Depends: pdns-server (>= ${source:Version}), ucf (>= 0.28), ${shlibs:Depends}, ${misc:Depends}, sqlite3, dbconfig-common
 Provides: pdns-backend
-Description: sqlite backend for PowerDNS
+Description: sqlite 3 backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
  of different backends ranging from simple zonefiles to relational
  databases and load balancing/failover algorithms.
  PowerDNS tries to emphasize speed and security.
  .
- This package contains a generic SQLite backend for PowerDNS.
-
-Package: pdns-backend-sqlite3
-Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, sqlite3, dbconfig-common
-Provides: pdns-backend
-Description: sqlite backend for PowerDNS
- PowerDNS is a versatile nameserver which supports a large number
- of different backends ranging from simple zonefiles to relational
- databases and load balancing/failover algorithms.
- PowerDNS tries to emphasize speed and security.
- .
- This package contains a generic SQLite backend for PowerDNS.
+ This package contains a generic SQLite 3 backend for PowerDNS.
 
 Package: pdns-backend-lua
 Architecture: any
@@ -145,16 +132,3 @@
  PowerDNS tries to emphasize speed and security.
  .
  This package contains a lua backend for PowerDNS.
-
-#Package: pdns-backend-mongodb
-#Architecture: any
-#Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-#Provides: pdns-backend
-#Description: mongodb backend for PowerDNS
-# PowerDNS is a versatile nameserver which supports a large number
-# of different backends ranging from simple zonefiles to relational
-# databases and load balancing/failover algorithms.
-# PowerDNS tries to emphasize speed and security.
-# .
-# This package contains a mongodb backend for PowerDNS.
-

=== debian/rules ===
#!/usr/bin/make -f

# Backends
backends := ldap pipe gmysql gpgsql gsqlite3 geo lua

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Use new build system
%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc/powerdns \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir='$${prefix}/lib/powerdns' \
		--libexecdir='$${prefix}/lib' \
		--with-dynmodules="$(backends)" \
		--with-modules="" \
		--with-pgsql-includes=`pg_config --includedir` \
		--with-mysql-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-boost=/usr \
		--enable-cryptopp \
		--enable-botan1.10 \
		--enable-tools \
		--enable-unit-tests

# pdns-server has a debug package
override_dh_strip:
	dh_strip --dbg-package=pdns-server-dbg

# Additional permissions
override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/pdns-server/etc/resolvconf/update.d/pdns

# init script needs to be named pdns, not pdns-server
override_dh_installinit:
	dh_installinit --name=pdns

# Verbose build (shows used compiler/linker and their flags)
override_dh_auto_build-arch:
	dh_auto_build -- V=1

# we need to zap generated files
override_dh_auto_clean:
	dh_auto_clean
	rm -f pdns/backends/bind/dnslabeltext.cc

## pdns 3.3.1

=== codedocs/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# Makefile.in generated by automake 1.11.1 from Makefile.am.
+# Makefile.in generated by automake 1.11.6 from Makefile.am.
 # codedocs/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
-# Inc.
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
+# Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -15,6 +15,23 @@
 
 
 
+am__make_dryrun = \
+  { \
+    am__dry=no; \
+    case $$MAKEFLAGS in \
+      *\\[\ \	]*) \
+        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
+          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
+      *) \
+        for am__flg in $$MAKEFLAGS; do \
+          case $$am__flg in \
+            *=*|--*) ;; \
+            *n*) am__dry=yes; break;; \
+          esac; \
+        done;; \
+    esac; \
+    test $$am__dry = yes; \
+  }
 pkgdatadir = $(datadir)/pdns
 pkgincludedir = $(includedir)/pdns
 pkglibdir = $(libdir)/pdns
@@ -54,9 +71,14 @@
 am__v_at_0 = @
 SOURCES =
 DIST_SOURCES =
+am__can_run_installinfo = \
+  case $$AM_UPDATE_INFO_DIR in \
+    n|no|NO) false;; \
+    *) (install-info --version) >/dev/null 2>&1;; \
+  esac
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run aclocal-1.11
-AMTAR = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run tar
+AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
 AUTOCONF = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run autoconf
@@ -95,6 +117,7 @@
 DEPDIR = .deps
 DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
 DIST_HOST = jenkins@autotest.powerdns.com
+DLLTOOL = false
 DSYMUTIL = 
 DUMPBIN = 
 DYNLINKFLAGS = -rdynamic
@@ -130,9 +153,10 @@
 LUA_CFLAGS = -I/usr/include/lua5.1  
 LUA_LIBS = -llua5.1  
 MAKEINFO = ${SHELL} /var/lib/jenkins/jobs/auth-git/workspace/missing --run makeinfo
+MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 MYSQL_inc = -I/usr/include/mysql
-MYSQL_lib = -rdynamic -L/usr/lib/mysql -lmysqlclient
+MYSQL_lib = -L/usr/lib/x86_64-linux-gnu -lmysqlclient -lpthread -lz -lm -lrt -ldl
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -144,16 +168,19 @@
 PACKAGE = pdns
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = pdns
-PACKAGE_STRING = pdns 3.3
+PACKAGE_STRING = pdns 3.3.1
 PACKAGE_TARNAME = pdns
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.3
+PACKAGE_VERSION = 3.3.1
 PATH_SEPARATOR = :
 PGSQL_incdir = /usr/include/postgresql
 PGSQL_lib = 
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
+POLARSSL_CFLAGS = -I$(top_srcdir)/pdns/ext/polarssl-1.1.2/include/
+POLARSSL_LIBS = $(top_builddir)/pdns/ext/polarssl-1.1.2/library/libpolarssl.a
+POLARSSL_SUBDIR = ext/polarssl-1.1.2
 RANLIB = ranlib
 REMOTEBACKEND_HTTP = yes
 SED = /bin/sed
@@ -165,13 +192,14 @@
 THREADFLAGS = -pthread
 UNIXODBC_incdir = 
 UNIXODBC_lib = 
-VERSION = 3.3
+VERSION = 3.3.1
 YACC = bison -y
 YFLAGS = 
 abs_builddir = /var/lib/jenkins/jobs/auth-git/workspace/codedocs
 abs_srcdir = /var/lib/jenkins/jobs/auth-git/workspace/codedocs
 abs_top_builddir = /var/lib/jenkins/jobs/auth-git/workspace
 abs_top_srcdir = /var/lib/jenkins/jobs/auth-git/workspace
+ac_ct_AR = ar
 ac_ct_CC = ccache gcc
 ac_ct_CXX = 
 ac_ct_DUMPBIN = 
@@ -205,11 +233,10 @@
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-lt_ECHO = echo
 mandir = ${datarootdir}/man
 mkdir_p = /bin/mkdir -p
 moduledirs =  geobackend gmysqlbackend gpgsqlbackend gsqlite3backend ldapbackend luabackend mydnsbackend opendbxbackend pipebackend remotebackend tinydnsbackend randombackend pipebackend
-modulelibs =   -lmysqlclient -lpq -lssl -lcrypto  -lresolv -lnsl -lsqlite3 -lldap_r -llber -llua5.1 -lmysqlclient -lz -lopendbx   -lcdb 
+modulelibs =   $(MYSQL_lib) -lpq -lssl -lcrypto  -lresolv -lnsl -lsqlite3 -lldap_r -llber $(LUA_LIBS) -lmysqlclient -lz -lopendbx   -lcdb 
 moduleobjects =  ../modules/geobackend/geobackend.o ../modules/geobackend/ippreftree.o ../modules/gmysqlbackend/gmysqlbackend.o ../modules/gmysqlbackend/smysql.o ../modules/gpgsqlbackend/gpgsqlbackend.o ../modules/gpgsqlbackend/spgsql.o ../modules/gsqlite3backend/gsqlite3backend.o ../modules/ldapbackend/ldapbackend.o ../modules/ldapbackend/powerldap.o ../modules/luabackend/luabackend.o ../modules/luabackend/minimal.o ../modules/luabackend/reload.o ../modules/luabackend/lua_functions.o ../modules/luabackend/master.o ../modules/luabackend/private.o ../modules/luabackend/slave.o ../modules/luabackend/supermaster.o ../modules/luabackend/dnssec.o ../modules/mydnsbackend/mydnsbackend.o ../modules/opendbxbackend/odbxbackend.o ../modules/opendbxbackend/odbxprivate.o ../modules/pipebackend/coprocess.o ../modules/pipebackend/pipebackend.o ../modules/remotebackend/remotebackend.o ../modules/remotebackend/unixconnector.o ../modules/remotebackend/httpconnector.o ../modules/remotebackend/pipeconnector.o ../modules/tinydnsbackend/tinydnsbackend.o ../modules/tinydnsbackend/cdb.o ../modules/randombackend/randombackend.o
 oldincludedir = /usr/include
 pdfdir = ${docdir}
@@ -316,68 +343,12 @@
 
 installcheck: installcheck-am
 install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-	  `test -z '$(STRIP)' || \
-	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
-
-maintainer-clean-generic:
-	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic clean-libtool mostlyclean-am
-
-distclean: distclean-am
-	-rm -f Makefile
-distclean-am: clean-am distclean-generic
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-html-am:
-
-info: info-am
-
-info-am:
-
-install-data-am:
-
-install-dvi: install-dvi-am
-
-install-dvi-am:
-
-install-exec-am:
-
-install-html: install-html-am
-
-install-html-am:
-
-install-info: install-info-am
-
-install-info-am:
-
-install-man:
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-	-rm -f Makefile
+	if test -z '$(STRIP)'; then \
+	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	      install; \
+	else \
+	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
+	fi

=== debian/changelog ===
pdns (3.3.1-4ubuntu0.1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1338153)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 30 Apr 2015 20:46:15 +0200

pdns (3.3.1-4ubuntu0.1) utopic-security; urgency=medium

  * SECURITY UPDATE: label decompression bug (LP: #1450037)
    - debian/patches/CVE-2015-1868: apply upstream fix
    - CVE-2015-1868

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 29 Apr 2015 16:21:06 +0200

pdns (3.3.1-4) unstable; urgency=medium

  * Drop unused pdns-backend-mongodb.prerm file
  * Update schema migration files for 3.3.1.
    In the case of MySQL, this includes the migration up from 3.0!

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 24 Jun 2014 14:50:17 +0200

pdns (3.3.1-3) unstable; urgency=medium

  * Correct libdir/pkglibdir usage.
    PowerDNS upstream abuses autoconf libdir as the package-specific
    library location, when they should be using pkglibdir instead, which
    prevented us from correctly setting the multiarch libdir.
    As the package name is set to 'pdns', modules now go into
    ${libdir}/pdns, and libdir is now correctly set to the multiarch path,
    so modules-dir now ends up being (ex.) /usr/lib/x86_64-linux-gnu/pdns.
    Also fixes embedding the multiarch path as an rpath.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 Jun 2014 21:37:34 +0200

pdns (3.3.1-2) unstable; urgency=medium

  * Use pg_config to detect PostgreSQL lib dir (Closes: #750062)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 Jun 2014 15:34:02 +0200

pdns (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove GRANTs from SQL Schema scripts.
    The SQL install scripts from upstream used to contain GRANT statements,
    but these were never needed with dbconfig-common, as the objects are
    created as the runtime user, plus they can lead to installation
    failures.
  * Remove patch "remove-rpath-ldflags-patch"
    The original issue has been fixed upstream in a better way.
  * Remove upstream applied patches
  * Remove duplicate B-D: libpolarssl-dev
  * Update copyright file, based on work by Marc Haber (Closes: #726401)
  * Don't overwrite launch= statements in configuration
  * Resync default pdns.conf

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 14 Apr 2014 20:50:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: extra
 Standards-Version: 3.9.5
-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
 Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>, Christian Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper (>= 9~), dh-autoreconf, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, libboost-test-dev, autotools-dev, automake, autoconf, liblua5.1-0-dev, pkg-config, libcrypto++-dev, ragel, libpolarssl-dev, libgmp-dev, libbotan1.10-dev
+Build-Depends: debhelper (>= 9~), dh-autoreconf, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite3-dev, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, libboost-test-dev, autotools-dev, automake, autoconf, liblua5.1-0-dev, pkg-config, libcrypto++-dev, ragel, libgmp-dev, libbotan1.10-dev
 Vcs-Git: git://git.debian.org/pkg-pdns/pdns.git
 Vcs-Browser: http://git.debian.org/?p=pkg-pdns/pdns.git
 Homepage: http://www.powerdns.com/

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,11 @@
 		--sysconfdir=/etc/powerdns \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--libdir='$${prefix}/lib/powerdns' \
+		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 		--libexecdir='$${prefix}/lib' \
 		--with-dynmodules="$(backends)" \
 		--with-modules="" \
 		--with-pgsql-includes=`pg_config --includedir` \
-		--with-mysql-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--with-boost=/usr \
 		--enable-cryptopp \
 		--enable-botan1.10 \
 		--enable-tools \

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://downloads.powerdns.com/releases/	pdns-(.*)\.tar\.gz	debian	uupdate
